# 1.18版本存在卡顿问题

## 1.18.0
对应工单：202408260006 

下载地址：https://app.nat.whrunpu.com/app/detail?id=1849714509808275456

更新内容：
- 新增文件合并PDF功能

对应版本：
- basic: 1.8.0
- user: 1.9.0

### 执行操作：

先更新basic服务，而后更新 user服务，最后更新 caseinfo


## 1.18.1
对应工单：202410110020 

下载地址：https://app.nat.whrunpu.com/app/detail?id=1851185286877417472

更新内容：
- 支持增量推送华宇（石家庄桥西地区使用）

### 执行操作：

1、执行数据库升级（测试环境为例，线上环境要更换对应的ip、端口、数据库）：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_0bf20104dfe8dab103d1b441773b1d01_r.png)

解释：

上述连接执行成功后，数据库新增如下配置：

- common_property 配置表新增：
  - `pushTypeService`： 配置增量推送白名单
  - `hyAppendPushConfig`：华宇增量推送接口配置

- sys_resource 资源表新增资源 ：
  - `/caseinfo/hbhy/receive-append-push-callback`：华宇增量推送回调接口



hyAppendPushConfig 解释说明：增量推送华宇接口

```json
{
    "url": "http://131.16.100.235:17682/dzjz/api/v5/dossiers/import/quick",
    "userCode": "6619693",
    "userName": "whrp",
    "ClientID": "hydossier",
    "ClientSecret": "123456"
}
```

- url：http://ip:端口/dzjz/api/v5/dossiers/import/quick,华宇统一入卷接口，每个地区配置对应的ip
  - 省院 http://131.16.100.235:17682
    廊坊 http://131.106.7.12:9395
    石家庄 http://131.101.2.53:53108
    保定 http://131.102.1.148:9395
    沧州 http://131.107.28.187:8002
    雄安 http://131.115.2.92:58017
    衡水 http://131.108.3.240:10001
    唐山 http://131.105.191.13:10001
    邢台 http://131.109.10.120:9395
    承德 http://131.104.6.100:10001
    邯郸 http://131.100.0.10:10001
    秦皇岛 http://131.110.1.241:10001
    张家口 http://131.103.2.243:10001

- userCode 与 userName 来自于华宇用户，需要联系华宇建立一个润普用户。
- ClientID、ClientSecret： 开发者账号和密码，用于华宇调用。需要配置上华宇增量推送回调接口权限





pushTypeService字段说明：通过配置增量推送白名单，确定哪些法院、哪些系统来源走增量推送。



配置增量推送：
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_a9bf8f22052c05362f3721057a7c5921_r.png)



不需要配置增量推送的地区，则将白名单置为空：

```java
def whiteList = []
```

2、增量推送的地区，需要关掉 sys_task任务
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_980be5210071ec504478e20942960f37_r.png)

3、网关白名单修改

将 `/caseinfo/file/download` 修改为 `/caseinfo/file/download*` ，并重启网关

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_919e0050830f819bbb313385c60cabd6_r.png)


4、开启增量推送的地区关闭ocr

a.关闭编目，修改配置 renameFile

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_98aa02832d3709ff7d1ae4d3defc416d_r.png)

b. 关闭归目，修改配置 classifyFile

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_2cac12dd3f739a45f4df5f15d303415f_r.png)

## 1.18.2

下载地址：https://app.nat.whrunpu.com/app/detail?id=1851519473023062016

对应版本：
- platform(分类平台)：1.2.4

更新说明：
- 修改 分案平台首页 待处理列表展示维度(以案件为维度)
- 分案平台 批次管理模快 批次推送内容 新增批次一键转有效或失效功能

执行操作：
1.在浏览器中执行以下链接(实际内容,按照实际情况填充)

链接:) http://服务器ip:caseinfo服务后端端口号/caseinfo/$upgrade?startVersion=升级前,caseinfo服务的版本号
eg:) http://192.168.0.27:8210/caseinfo/$upgrade?startVersion=1.6.0

执行上诉链接成功后,sys_resource表会新增一个资源,`/caseinfo/tranfer-batch-status`,作用:将有效批次置为失效批次,将失效批次置为有效配置,更新成功后，需要勾选该资源(给管理员和客服角色配置上)

## 1.18.3

下载地址：https://app.nat.whrunpu.com/app/detail?id=1855905783225651200

更新内容：（开启增量推送地区需配置）
- 修改华宇增量推送接口，回调参数-请求头的设置，hyAppendPushConfig 配置新增,键值参数:callBackUrl
- 新增使用nginx,替换增量推送-回调接口请求头参数

执行操作：

1、执行数据库升级操作：http://服务ip:端口/caseinfo/$upgrade?

执行完上述操作后，会更新配置：hyAppendPushConfig，新增键值callBackUrl，该键值用于设置增量推送的回调地址（该地址为nginx地址）

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_f0443e8204884e14fa9dd5da225a0b68_r.png)

2、nginx中配置增量回调地址，对应上面的callBackUrl地址

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_4a313ad57aefda0aa665e8fc98161fb1_r.png)
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_a981d071154142e9f2b019e09ab80a4b_r.png)

```shell
        #华宇增量回调
        location /callback {
            proxy_pass   http://131.102.1.54:8200/caseinfo/hbhy/receive-append-push-callback;
            proxy_set_header ClientId $http_appId;
            proxy_set_header ClientSecret $http_appToken;
        }

```

其中，proxy_pass 需要改为线上网关地址；配置完后，重启nginx.

## 1.18.4

下载地址：https://app.nat.whrunpu.com/app/detail?id=1859799843778727936

更新内容：
- 自动分案适配达梦
- 修复推送质检字段为空问题
- 销案设置 casename 为 空
- swagger页面增加密码登录

swagger页面登录密码查询方式：
nacos中，打开 common.yml配置，查看security
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_d389a779ad58aad3b9a30af4c7aa88af_r.png)

## 1.18.5
下载地址：https://app.nat.whrunpu.com/app/detail?id=1863457354402631680

更新内容：
- 修复自动分案已经分配的案件，但是分类人员看不到的bug;
- 修复caseinfo服务重启后，自动分案数量又变回默认值的bug;

执行操作：
配置表增加配置：`eachOneMaxQuantity`
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_3828782209cbf74dadf734ccff99ce74_r.png)
```sql
INSERT INTO `business`.`common_property`(`property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES ('eachOneMaxQuantity', '4', '修改案件分配总数', NULL, 1, 0, 0);
```

新增配置后，重启caseinfo与basic。

## 1.18.6
下载地址：https://app.nat.whrunpu.com/app/detail?id=1863862304026791936

更新内容：
- 分类平台，统计模块，计算0批次的数据（计算华宇的量）

## 1.18.7
下载地址：https://app.nat.whrunpu.com/app/detail?id=1864208652399939584

更新内容：
- 查询storage_file，文件不存在，则用源文件重转一次 适配多存储头地址转换

应用场景：
审判系统报看不到pdf，则调用swagger重新转一次，生成的材料和原地址相同，审判系统就可以看到，无需再次推送；可以解决石家庄桥西地区，增量推送不能再次推送的问题；

打开caseinfo的swagger，搜索 `convert-storage-file`,参数填写要重转材料的case_id
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_5d2b91d5db3266f2f2e2211c9839107d_r.png)
执行日志如下：
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_264c852869a8c48761b894dfb330502e_r.png)

该日志中存在报错，属于正常现象。判断逻辑：先判断文件是否存在，不存在会打印该报错日志，然后去转图。