# user-service

> 以 user-service 1.5.7 版本为基础，进行以下升级

## 1.6.0

#### 更新内容

下载地址：http://dev.whrunpu.com:9040/app/detail?id=1151

更新内容：
- 解决角色表中【privileges】字段与达梦数据库关键字冲突的问题；


#### 执行操作

1、user-service.yml 增加配置：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_c39a5dabeaf2add43bb558d698ec84a1_r.png)

- db-type:  默认为mysql， 达梦数据库填写dm；

2、字典表 sys_dict

```sql
-- 查询一下达梦数据库sys_dict表中是否有以下资源,没有则执行以下SQL
select * from sys_dict where category = 'data_privilege_type';

-- 新增字典表资源
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1695377034627842744, 0, 'data_privilege_type', '数据权限类别', NULL, 0,  0, NULL);
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1695377034627842745, 1695377034627842744, 'data_privilege_type', '用户权限', 'USER', 0,  0, NULL);
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1695377034627842746, 1695377034627842744, 'data_privilege_type', '组织权限', 'ORG', 0,  0, NULL);
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1695377034627842747, 1695377034627842744, 'data_privilege_type', '省院人事权限', 'HRMS', 0, 0, NULL);
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1695377034627842749, 1695377034627842744, 'data_privilege_type', '流转权限', 'TRANSFER', 0, 0, NULL);
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1746710365847748609, 1695377034627842744, 'data_privilege_type', '人事服务用户权限', 'HRMS_USER', 0,  0, NULL);
INSERT INTO sys_dict (id, pid, category, label, value, sn, deleted, label_bak) VALUES (1746710641065394177, 1695377034627842744, 'data_privilege_type', '人事服务组织权限', 'HRMS_ORG', 0,  0, NULL);

```



3、资源表

```sql
-- 查询一下达梦数据库sys_resource表中是否有/basic/dict/tree这个资源,没有则新增,并给相应角色配上该权限

INSERT INTO sys_resource (id, name, url, method, pid, description, create_time, update_time) VALUES (1727939657336422401, '角色页面中的数据权限接口', '/basic/dict/tree', 'GET', 85, '角色页面中的数据权限', '2023-11-24 14:38:12', '2023-11-24 14:38:12');
```

## 1.6.1
下载地址：https://app.nat.whrunpu.com/app/detail?id=1170
更新内容：
适配 最新user服务 信创达梦环境,修复若干已知问题


## 1.7.0

下载地址： https://app.nat.whrunpu.com/app/detail?id=1203

更新内容：

1、新增验证码功能（需要部署 font-center 服务）

2、新增密码强度校验，当前设置的密码强度为，8位字符，包含字母+特殊字符+数字


本次升级其他服务包最低对应版本：

1、电子卷宗最低对应版本：

- basic: 1.6.2，https://app.nat.whrunpu.com/app/detail?id=1213
- user： 1.7.0，https://app.nat.whrunpu.com/app/detail?id=1203
- front-center（应用中心）: 1.0.8, https://app.nat.whrunpu.com/app/detail?id=1214
- platform-setting（平台设置）：1.1.5，https://app.nat.whrunpu.com/app/detail?id=1212
- platform （自动分案）: 1.2.3，https://app.nat.whrunpu.com/app/detail?id=1224
- windows客户端：2.0.15，https://app.nat.whrunpu.com/app/detail?id=1208



2、事务中心（流转系统）：

- case-transfer-view-management（流转前端）1.7.1：https://app.nat.whrunpu.com/app/detail?id=1210
- transfer-qiaoxi-web（流转后端）：https://app.nat.whrunpu.com/app/detail?id=1211



3、人事系统：

- front_hrms（人事前端）1.3.4：https://app.nat.whrunpu.com/app/detail?id=1205



### 执行操作：



user服务yml配置新增：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_a52804b45a8feaaa3ae19dd428030d08_r.png)

```yaml
  kaptcha:
    border: "no"
    border.color: 105,179,90 
    textproducer:
      impl: com.whrp.dossier.user.KaptchaMathTextCreator
      font:
        color: black
        size: 30
        names: Courier
      char:
        length: 4
    image:
      width: 120
      height: 40
    session:
      key: code
```

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_cd215635415c0159a10172e0a6ed88c4_r.png)

```yaml
    excludes: /role/*
```



gateway 服务yaml 新增验证码白名单地址：`/user/captcha`

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_7e25ccb01e7a6c1f510efdb4f7ade9b7_r.png)

```yaml
    gateway:
      white-list: /caseinfo/file/download,/user/captcha,/transfer/statistic/**,/transfer/case/search,/basic/config/get,/note/file/**,/user/config,/hrms/file/viewer/**,/transfer/file/viewer/**
```



数据库，新增sql

common_property 表新增：

```mysql
INSERT INTO common_property (property_name, property_value, property_desc, create_time, create_user_id, update_flag, display) VALUES( 'userConfig', '{"login":{"captcha":{"enabled":false},"failedTimes":2,"freezeTime":3},"password":{"strength":{"enabled":false,"description":"密码须为8位以上字母+特殊符号+数字组成","expression":"^(?=.*\\\\d)(?=.*[a-zA-Z])(?=.*[^\\\\da-zA-Z\\\\s]).{8,20}$"},"rsa":{"public":"MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCo+MyjNsmGkwpp3MPV+G/lizHFeZSn/xrXg/i8XIe2hpK161DgJWnI/kHZTMiwTE4LEhQl6TzKEL5fyoezKnmAopKbHH30OizsDH6TJWrAkKRm3YFV82U2FYFXWL3IT0oU9KqkCpgxZqmTZt00Y7+LWFEAVByovCEwkP+Yv8RcFwIDAQAB"}}}', '用户服务配置 , captcha.enabled 验证码开关， failedTimes 密码错误次数 ，freezeTime 登录错误时长，单位分钟
,password.strength 密码强度', NULL, 1, 0, 0);

INSERT INTO common_property (property_name, property_value, property_desc, create_time, create_user_id, update_flag, display) VALUES('clsServiceConfig', '{"clsPrefix":"/classify/#"}', '分类系统配置， clsPrefix=分类页面前缀地址--"/classify/#" | "/classify_v2"', NULL, 1, 0, 0);
```



sys_resource表新增：

```mysql
INSERT INTO `dossier`.`sys_resource` (`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1813786127309574146, '查询字典列表', '/basic/dict/list-page', 'GET', 105, '查询字典列表', '2024-07-18 12:01:25', '2024-07-18 12:01:25');
INSERT INTO `dossier`.`sys_resource` (`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1802539257452085250, '查询字典列表', '/basic/dict/list*', 'GET', 105, '查询字典列表', '2024-06-17 11:10:23', '2024-06-17 12:04:17');
INSERT INTO `dossier`.`sys_resource` (`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1803334557330620417, '修改字典', '/basic/dict/modify', 'GET', 105, '修改字典', '2024-06-19 15:50:37', '2024-06-19 15:50:37');
INSERT INTO `dossier`.`sys_resource` (`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1803334637957726209, '新增字典', '/basic/dict/create', 'GET', 105, '新增字典', '2024-06-19 15:50:56', '2024-06-19 15:50:56');
INSERT INTO `dossier`.`sys_resource` (`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1803694780125855746, '删除字典', '/basic/dict/delete', 'GET', 105, '删除字典', '2024-06-20 15:42:01', '2024-06-20 15:42:01');
INSERT INTO `dossier`.`sys_resource` (`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1805428303920676866, '移动字典', '/basic/dict/move', 'GET', 105, '移动字典', '2024-06-25 10:30:25', '2024-06-25 10:30:25');
```


自动分案 和 平台设置 的Nginx新增配置：`try_files $uri $uri/ /index.html;  `


![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_1de3ff35755cfb2e0c5088a721f7c064_r.png)



```shell
        location  / {
            root   /var/www/html;
            index  index.html index.htm;
            try_files $uri $uri/ /index.html;
        }
```



重启服务：

```shell
# 重启用户服务
[visionread@localhost services]$ docker-compose restart user
# 重启网关服务
[visionread@localhost services]$ docker-compose restart gateway
# 重启分类服务
[visionread@localhost services]$ docker-compose restart maintenance-view
#重启平台设置服务
[visionread@localhost services]$ docker-compose restart platform-view
```

注意：前端服务（maintenance-view、platform-view）最后重启

## 1.7.1

下载地址：https://app.dev.whrunpu.com/app/detail?id=1277

更新内容：
- 支持数据库密码加密

## 1.7.2

下载地址：https://app.dev.whrunpu.com/app/detail?id=1825380591030374400

更新内容：
- 达梦信创适配，设置用户配置接口

## 1.9.0

下载地址：https://app.nat.whrunpu.com/app/detail?id=1849710627325612032

更新内容：
- 新增 web socket 封装业务

## 1.9.1

下载地址：https://app.nat.whrunpu.com/app/detail?id=1851513333019185152

更新内容：
- 支持法院排序（立案庭保管柜，移交卷宗登记模块使用）

执行操作：

1、执行user服务的数据库更新：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_8ef9eec4f0bdb7678638c61fb778b6df_r.png)

2、手动给sn字段赋值：

```sql
UPDATE sys_org AS t1
JOIN (
    SELECT id, 
           @row_number := IF(@current_pid = pid, @row_number + 1, 1) AS sn,
           @current_pid := pid
    FROM sys_org, 
         (SELECT @row_number := 0, @current_pid := NULL) AS vars
    ORDER BY pid, id
) AS t2 ON t1.id = t2.id
SET t1.sn = t2.sn;
```

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_e8f1c489406522217119ab9fb71b891a_r.png)



## 1.9.2

下载地址：https://app.nat.whrunpu.com/app/detail?id=1859528891056656384

更新内容：

- 修改密码：新旧密码不能一致；