# front-center 应用中心部署

版本： 1.0.8

下载地址：https://app.nat.whrunpu.com/app/detail?id=1214

参考测试环境142 docker-compose.yaml，直接集成到 services 中 docker-compose.yaml:

```yaml
  # 平台中心
  center-view:
    image: whrp.base.nginx:1.24.0
    container_name: nginx-center-view
    restart: always
    ports:
      - "8293:80"
    volumes:
      - ./services/views/center-view/nginx.conf:/etc/nginx/nginx.conf
      - ${DOSSIER_DATA_DIR}/logs/center-view:/var/log/nginx
      - ${DOSSIER_DATA_DIR}/tmp/center-view:/tmp
      - ./services/views/center-view/webroot:/var/www/html
    depends_on:
      - gateway
    networks:
      - whrp-dossier-net
    logging:
      driver: "json-file"
      options:
        max-size: "100m"
```

- 对应的前端包在 `./services/views/center-view` 目录下



**sys_dict 表**

1、查询：

```mysql
select * from sys_dict where category = 'platform_center';
```

2、没有则新增，其中url改为对应服务的ip

```shell
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232200, 0, 'platform_center', '平台中心-系统配置', NULL, 0, '2023-06-15 17:36:58', '2023-06-15 17:36:58', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232201, 1658368314100232200, 'platform_center', '辅助办案', 'handle', 0, '2023-06-15 17:41:24', '2023-06-15 17:41:24', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232202, 1658368314100232200, 'platform_center', '辅助办公', 'work', 0, '2023-06-15 17:41:24', '2023-06-15 18:01:17', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232203, 1658368314100232201, 'platform_center', '智能阅卷系统', '{\"name\":\"智能阅卷系统\",\"icon\":\"review\",\"enabled\":true,\"url\":\"http://131.16.42.142:8085\",\"description\":\"对客户端扫描的案件材料进行分类， 实现卷宗材料的规范化与合格化\"}', 0, '2023-06-15 17:41:24', '2024-01-13 14:11:18', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232204, 1658368314100232201, 'platform_center', '电子卷宗巡查系统', '{\"name\":\"电子卷宗巡查系统\",\"icon\":\"review\",\"enabled\":true,\"url\":\"http://wh.everydo.com:8087\",\"description\":\"对卷宗进行多维度监管，实现电子卷宗制作的准确化、规范化。\"}', 0, '2023-06-15 17:41:24', '2023-11-15 16:33:10', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232205, 1658368314100232201, 'platform_center', '信访材料采集归目系统', '{\"name\":\"信访材料采集归目系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"对卷宗进行多维度监管，实现电子卷宗制作的准确化、规范化。\"}', 0, '2023-06-20 10:48:51', '2023-11-15 16:36:09', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232206, 1658368314100232201, 'platform_center', '润普电子卷宗随案自动生成系统', '{\"name\":\"电子卷宗管理系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"对纸质案卷材料进行数字化加工， 实现电子卷宗随案生成。\"}', 0, '2023-06-20 10:48:51', '2023-06-20 11:08:02', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232207, 1658368314100232201, 'platform_center', '电子卷宗管理系统', '{\"name\":\"电子卷宗管理系统\",\"icon\":\"review\",\"enabled\":true,\"url\":\"http://wh.everydo.com:8291\",\"description\":\"智能提取材料要素信息，实现收案过程的简单化、智能化。\"}', 0, '2023-06-20 10:48:51', '2023-11-15 16:33:36', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232208, 1658368314100232201, 'platform_center', '智能收案系统', '{\"name\":\"智能收案系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"智能提取材料要素信息，实现收案过程的简单化、智能化。\"}', 0, '2023-06-20 10:48:51', '2023-11-15 16:36:50', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232209, 1658368314100232201, 'platform_center', '智能文书生成系统', '{\"name\":\"智能文书生成系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"一键完成法律文书写作及资源共享的智能化辅助工具。\"}', 0, '2023-06-20 10:48:51', '2023-11-15 16:36:46', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232210, 1658368314100232201, 'platform_center', '类案推送系统', '{\"name\":\"类案推送系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"案情相类似的文书进行推送，实现司法过程中类案类判的目标。\"}', 0, '2023-06-20 10:48:51', '2023-11-15 16:36:55', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232211, 1658368314100232201, 'platform_center', '执行案件画像系统', '{\"name\":\"执行案件画像系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"以“案件”或“当事人”为画像， 深度剖析案件走向。\"}', 0, '2023-06-20 10:48:51', '2023-06-20 11:10:48', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232212, 1658368314100232201, 'platform_center', '外勤执法 APP', '{\"name\":\"外勤执法 APP\",\"icon\":\"review\",\"enabled\":true,\"description\":\"实现外勤移动执法、移动执法取证、 数据共享交换。\"}', 0, '2023-06-20 10:48:51', '2023-06-20 11:10:48', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232213, 1658368314100232201, 'platform_center', '法院档案管理系统', '{\"name\":\"法院档案管理系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"对数字化后档案的应用与管理，包括 文件管理、案卷管理、库房管理等。\"}', 0, '2023-06-20 11:05:36', '2023-06-20 11:10:48', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232214, 1658368314100232201, 'platform_center', '卷宗智能流转系统', '{\"name\":\"卷宗智能流转系统\",\"icon\":\"review\",\"enabled\":true,\"url\":\"http://wh.everydo.com:8204\",\"description\":\"实现案件材料收转、借阅、归档等 流程要素无纸化流转。\"}', 0, '2023-06-20 11:05:36', '2023-06-20 11:41:38', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232215, 1658368314100232202, 'platform_center', '法院云盘', '{\"name\":\"法院云盘\",\"icon\":\"review\",\"enabled\":true,\"description\":\"实现法院内外网电子文件规范管理、 安全共享服务。\"}', 0, '2023-06-20 11:15:28', '2023-06-20 11:15:28', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232216, 1658368314100232202, 'platform_center', '法院文档管理系统', '{\"name\":\"法院文档管理系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"法院内文档的采集、预览、管理、 监控、协作等，实现档案合规性。\"}', 0, '2023-06-20 11:15:28', '2023-06-20 11:15:28', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232217, 1658368314100232202, 'platform_center', '内外网文件安全交互系统', '{\"name\":\"内外网文件安全交互系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"构建法院内外网安全数据交换体系、 数据安全交换管理模式等。\"}', 0, '2023-06-20 11:15:28', '2023-06-20 11:15:28', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232218, 1658368314100232202, 'platform_center', '干部政治素质和业绩档案系统', '{\"name\":\"干部政治素质和业绩档案系统\",\"icon\":\"review\",\"enabled\":true,\"url\":\"http://131.16.42.142:8297\",\"description\":\"实现中基层法院干部的线上管理。\"}', 0, '2023-06-20 11:15:28', '2024-01-15 16:26:32', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232219, 1658368314100232202, 'platform_center', '表彰奖励信息管理数据库', '{\"name\":\"表彰奖励信息管理数据库\",\"icon\":\"review\",\"enabled\":true,\"description\":\"对法院行政工作进行管理，实现行政 部门表彰奖励信息的线上管理。\"}', 0, '2023-06-20 11:15:28', '2023-06-20 11:15:28', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232220, 1658368314100232202, 'platform_center', '法官遴选系统', '{\"name\":\"法官遴选系统\",\"icon\":\"review\",\"enabled\":true,\"description\":\"对法官遴选业务管理，实现法官遴选 业务的智能化、信息化。\"}', 0, '2023-06-20 11:15:28', '2023-06-20 11:15:28', 0, NULL, NULL);
INSERT INTO `business`.`sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1658368314100232221, 1658368314100232202, 'platform_center', '笔记中心', '{\"name\":\"笔记中心\",\"icon\":\"review\",\"enabled\":true,\"url\":\"https://192.168.0.27:8296\",\"description\":\"纸质录入电子化，对法官的笔记、工作记录等进行电子化存放。\"}', 0, '2023-06-20 11:15:28', '2023-11-24 17:54:22', 0, NULL, NULL);

```



3、清除字典表缓存；



**common_property 新增**

1、检查 platformCenter 配置,修改url为当地地址，没有则新增

```mysql
-- 查询
select * from common_property where property_name = 'platformCenter'

-- 没有则新增，并修改为当地ip地址
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (402, 'platformCenter', 'http://131.16.42.142:8293', '平台中心地址', NULL, 1, 0, 0);
```

2、检查其它前端配置 url 地址是否正确，没有则新增

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_26a288309dc7789489c02cdcb8d8d58e_r.png)

```mysql
-- 查询
select * from common_property where property_name in (
"caseInfoServiceUrl",
"imageServiceUrl",
"basicServiceUrl",
"userServiceUrl",
"gatewayServiceUrl",
"reviewServiceUrl",
"platformServiceUrl",
"classifyServiceUrl"
)


-- 没有则新增，修改当地服务的ip地址
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (294, 'basicServiceUrl', 'http://131.102.1.54:8084', 'basic请求地址', 1625833351130, 1, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (290, 'caseInfoServiceUrl', 'http://131.102.1.54:8080', 'caseinfo服务地址', 1625833186316, 1, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (652, 'classifyServiceUrl', 'http://131.102.1.54:8202', '分类服务地址', NULL, NULL, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (310, 'gatewayServiceUrl', 'http://131.102.1.54:8200', '网关服务地址', NULL, 1, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (291, 'imageServiceUrl', 'http://131.102.1.54:8085/images', '图片服务地址', 1625833218578, 1, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (403, 'platformServiceUrl', 'http://131.102.1.54:8204', '平台设置-后台运维管理', NULL, 1, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (319, 'reviewServiceUrl', 'http://131.102.1.54:8085', '阅卷前端地址', NULL, 1, 0, 0);
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (307, 'userServiceUrl', 'http://131.102.1.54:8100', 'user-service请求地址', NULL, 1, 0, 0);

```

3、重启服务，配置表新增字段后，需要重启 case-info与basic服务；

```shell
[visionread@localhost services]$ docker-compose restart case-info
[visionread@localhost services]$ docker-compose restart basic
```

## 1.2.1

下载地址：https://app.nat.whrunpu.com/app/detail?id=1859500942903349248

更新内容：
- 用户中心，修改密码，新增密码规则提示；
- 新增平台设置跳转按钮；