## 部署

docker-compose.yml配置如下：

```
  #图像处理前端
  img-process-view:
    image: whrp.base.nginx:1.24.0
    container_name: img-process-view
    restart: always
    ports:
      - "8398:80"
    volumes:
      - "./services/views/img-process-view/nginx.conf:/etc/nginx/nginx.conf"
      - ${DOSSIER_DATA_DIR}/logs/img-process-view:/var/log/nginx
      - ${DOSSIER_DATA_DIR}/tmp/img-process-view:/tmp
      - "./services/views/img-process-view/webroot:/var/www/html"
    logging:
      driver: "json-file"
      options:
        max-size: "100m"
    networks:
      - whrp-dossier-net

```

前端包下载：img-process-view.tgz
https://work.everydo.com/share?shareid=67a5b812ffcd749f009621fd (访问密码:1234)

解压到view目录下：	

```shell
[visionread@localhost views]$ pwd
/home/visionread/services/services/views
[visionread@localhost views]$ ll img-process-view/
总用量 8
-rwxr-xr-x 1 visionread visionread   81 7月  25 2024 deploy.sh
-rw-r--r-- 1 visionread visionread 2012 1月  22 18:03 nginx.conf
drwxr-xr-x 7 visionread visionread  168 1月  22 17:59 webroot
```

编辑 nginx.conf，根据实际情况修改预处理地址（对应第三版预处理）：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_7cc9fdf7161313b9bebf4e0d20b409a0_r.png)


启动服务：

```
docker-compose up -d img-process-view
```

打开浏览器，查看服务：http:ip/8398

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_5e5bd44767d0d3c3665f3e4c9763c634_r.png)