# 事务中心部署



创建日期：2024-02-18 17:19

作者：侯卫嘉



参考承德版本，事务中心包含两个包

- transer-web-1.0.25  ： 事务中心后端包
- case-transfer-view-managerment-1.5.1：事物中心前端包

其他包对应版本：

- caseinfo-1.8.14
- user-1.5.6
- admin-management-1.0.12
- review-papers-1.8.12



## 新增数据库 transfer

![承德流转库](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_3269cd1425fca37147f0d12c19180aea_r.png)

清空表：

```mysql
truncate table transfer.case_info;
truncate table transfer.case_trial_member;
truncate table transfer.sys_data_acl;
truncate table transfer.transfer_apply_record;
truncate table transfer.transfer_case_circulation_record;
truncate table transfer.transfer_case_info;
truncate table transfer.transfer_material_info;
```



将表 transfer_code_info.used 字段置为 0；

```
UPDATE transfer.transfer_code_info set used = 0;
```



## common_property 表新增字段

先查询有没有这些字段，没有则去新增；

```mysql
select * from common_property where property_name in (
'transferThirdPartyUrl',
'transferSyncConfig',
'cabinetCount',
'radioValue',
'transferSendMsgConfig'
);
```

新增；

```mysql
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (662, 'cabinetCount', '3200', '文件柜总数量', NULL, 1645612065223606272, 0, 0);

INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (663, 'radioValue', '2', '将radio的值进行存储，选择默认还是自定义', NULL, 1645612065223606272, 0, 0);

INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (664, 'transferSendMsgConfig', '{\n \"url\": \"http://131.16.104.34a/msg-main/api/v3/message\",\n \"sender\": \"6555059\",\n \"systemId\": \"runpu-spfzswzx\",\n \"msgConfigId\": \"runpu-spfzswzx-tzxx\"\n}', 'url：消息平台接口地址；\nsender：发送消息人员的code（华宇用户id）；\nmsgConfigId：第三方消息平台定义的消息标识（固定值为：runpu-spfzswzx-tzxx）；\nsystemId：第三方消息平台定义的系统标识（固定值为：runpu-spfzswzx）', NULL, 11, 0, 0);

INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (665, 'transferSyncConfig', '{\"ClientID\":\"tongbushuju\",\"ClientSecret\":\"Visionread12#$%\",\"url\":\"http://131.16.42.142:8200\"}', '流转服务同步卷宗服务配置信息', NULL, 1645612065223606272, 0, 0);

INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (666, 'transferThirdPartyUrl', '', '流转第三方云柜接口地址http://131.16.42.142:8088/stage-api/front/notify/test', NULL, 1645612065223606272, 0, 0);



-- 省院柜子为旧柜子type 为1；其他地区都为2；
INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (396, 'transferConfig', '{\"qrcode\":{\"type\":2,\"size\":\"30x30\"}}', '流转配置 qrcode 二维码，type配置，1=省院 2=标准 ,size 二维码尺寸  type本地默认配置值为2', NULL, 1, 0, 0);


INSERT INTO `business`.`common_property`(`property_id`, `property_name`, `property_value`, `property_desc`, `create_time`, `create_user_id`, `update_flag`, `display`) VALUES (162, 'transferMember', 'SCENE_MANAGER,REGISTER,REVEIVER,SCANNER,CHECKER,COLLATOR', '流转人员标签(SCENE_MANAGER,REGISTER,REVEIVER,SCANNER,CHECKER,COLLATOR)', NULL, 1, 0, 0);


```



## sys_resource 新增流转资源

查询是否有该资源，没有则去新增

```mysql
select * from sys_resource where name = '卷宗流转业务'; -- 查到流转业务的id

select * from sys_resource where id = 1575779003820953606 or pid = 1575779003820953606;
```





角色页面数据权限：

查询是否有该权限，没有则新增

```mysql
-- 查询id
select * from sys_resource where name = '角色信息'

-- 新增资源，其中pid为上面查到的id
INSERT INTO `business`.`sys_resource`(`id`, `name`, `url`, `method`, `pid`, `description`, `create_time`, `update_time`) VALUES (1742107181213335553, '角色页面中的数据权限接口', '/basic/dict/tree', 'GET', 85, '角色页面中的数据权限 ', '2024-01-02 16:54:53', '2024-01-02 16:54:53');
```





## sys_dict

### 1、增加字段

增加 bak 字段；

增加 lable_bak 字段；

```mysql
ALTER TABLE `business`.`sys_dict` ADD COLUMN `bak` bigint(20) NULL DEFAULT NULL AFTER `deleted`;

ALTER TABLE `business`.`sys_dict` ADD COLUMN `label_bak` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL AFTER `bak`;

-- 增加索引
ALTER TABLE `business`.`sys_dict` ADD INDEX `idx_category`(`category`) USING BTREE;

```

### 2、增加数据权限
查看是否有该字段
```mysql
select * from sys_dict where category = 'data_privilege_type'
```

没有则补充：
```mysql
INSERT INTO `sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1695377034627842744, 0, 'data_privilege_type', '数据权限类别', NULL, 0, '2023-11-22 16:54:59', '2023-11-23 16:22:59', 0, NULL, NULL);

INSERT INTO `sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1695377034627842745, 1695377034627842744, 'data_privilege_type', '用户权限', 'USER', 0, '2023-11-22 16:58:03', '2023-11-23 16:22:59', 0, NULL, NULL);

INSERT INTO `sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1695377034627842746, 1695377034627842744, 'data_privilege_type', '组织权限', 'ORG', 0, '2023-11-22 16:58:03', '2023-11-23 16:22:59', 0, NULL, NULL);

INSERT INTO `sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1695377034627842747, 1695377034627842744, 'data_privilege_type', '省院人事权限', 'HRMS', 0, '2023-11-22 16:58:03', '2023-11-23 16:22:59', 0, NULL, NULL);

INSERT INTO `sys_dict`(`id`, `pid`, `category`, `label`, `value`, `sn`, `create_time`, `update_time`, `deleted`, `bak`, `label_bak`) VALUES (1695377034627842749, 1695377034627842744, 'data_privilege_type', '流转权限', 'TRANSFER', 0, '2023-11-22 16:58:03', '2023-11-23 16:22:59', 0, NULL, NULL);
```

### 3、增加流转目录

查询是否有目录，如果不存在则去新增(参考承德)；
```mysql
select * from sys_dict where category = 'transfer_material_type';
```

## sys_role

### 增加字段

```mysql
ALTER TABLE `business`.`sys_role` ADD COLUMN `privileges` json NULL COMMENT '数据权限' AFTER `privilege`;
```



## 法院区域码添加



>  对应地区添加相应的区域码，用于生成二维码使用
>
> 可参考省院、承德、沧州 sql，批量添加

参考文档（见附件）：

- 流转新的二维码方案更新说明.docx

- 二维码生成规则方案.docx





### 省院

```mysql
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130000") where type = 'COURT' and short_name = '冀';
```

### 承德

```mysql
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130800") where type = 'COURT' and short_name = '冀08';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130802") where type = 'COURT' and short_name = '冀0802';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130803") where type = 'COURT' and short_name = '冀0803';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130804") where type = 'COURT' and short_name = '冀0804';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130821") where type = 'COURT' and short_name = '冀0821';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130822") where type = 'COURT' and short_name = '冀0822';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130881") where type = 'COURT' and short_name = '冀0881';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130824") where type = 'COURT' and short_name = '冀0824';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130825") where type = 'COURT' and short_name = '冀0825';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130826") where type = 'COURT' and short_name = '冀0826';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130827") where type = 'COURT' and short_name = '冀0827';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130828") where type = 'COURT' and short_name = '冀0828';
```

### 沧州

```mysql
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130900") where type = 'COURT' and short_name = '冀09';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130902") where type = 'COURT' and short_name = '冀0902';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130903") where type = 'COURT' and short_name = '冀0903';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130921") where type = 'COURT' and short_name = '冀0921';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130922") where type = 'COURT' and short_name = '冀0922';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130923") where type = 'COURT' and short_name = '冀0923';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130924") where type = 'COURT' and short_name = '冀0924';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130925") where type = 'COURT' and short_name = '冀0925';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130926") where type = 'COURT' and short_name = '冀0926';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130927") where type = 'COURT' and short_name = '冀0927';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130928") where type = 'COURT' and short_name = '冀0928';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130929") where type = 'COURT' and short_name = '冀0929';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130930") where type = 'COURT' and short_name = '冀0930';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130981") where type = 'COURT' and short_name = '冀0981';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130982") where type = 'COURT' and short_name = '冀0982';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130983") where type = 'COURT' and short_name = '冀0983';
update sys_org SET extra = json_set(ifnull(extra,'{}'),'$.areaCode',"130984") where type = 'COURT' and short_name = '冀0984';
```





## 案件类型代字编码

>  用于生成二维码使用

```mysql
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"001") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑辖';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"002") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民辖';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"003") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民辖终';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"004") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民辖监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"005") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行辖';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"006") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行辖终';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"007") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '赔辖';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"008") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '赔辖终';


update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"009") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑初';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"010") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑终';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"011") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"012") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑申';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"013") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑抗';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"014") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑再';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"015") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑没';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"016") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑核';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"017") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑医';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"018") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑医解';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"019") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑医复';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"020") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑医监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"021") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑止';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"022") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑止调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"023") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑止核';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"024") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑更';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"025") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑更监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"026") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑更备';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"027") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '刑他';




update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"028") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民初';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"029") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民终';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"030") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"031") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民申';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"032") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民抗';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"033") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民再';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"034") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民撤';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"035") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民特';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"036") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民特监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"037") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民催';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"038") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民督';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"039") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民督监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"040") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民破';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"041") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民算';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"042") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '民他';


update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"043") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行初';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"044") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行终';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"045") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"046") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行申';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"047") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行抗';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"048") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行再';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"049") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行审';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"050") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行审复';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"051") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行他';


update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"052") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行赔初';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"053") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行赔终';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"054") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行赔监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"055") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行赔申';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"056") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行赔抗';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"057") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行赔再';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"058") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '法赔';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"059") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '委赔';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"060") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '委赔监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"061") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '委赔提';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"062") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '委赔再';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"063") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '赔他';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"064") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救刑';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"065") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救民';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"066") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救行';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"067") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救赔';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"068") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救执';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"069") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救访';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"070") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司救他';

update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"071") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '认台';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"072") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '认港';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"073") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '认澳';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"074") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '认复';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"075") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '认他';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"076") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请台送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"077") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请港送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"078") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请澳送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"079") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '台请送';

update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"080") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '港请送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"081") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '澳请送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"082") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请台调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"083") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请港调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"084") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请澳调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"085") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '台请调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"086") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '港请调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"087") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '澳请调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"088") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请移管';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"089") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '助移管';

update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"090") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请移赃';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"091") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '助移赃';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"092") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '协外认';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"093") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '协他';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"094") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '协外送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"095") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请外送';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"096") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '协外调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"097") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请外调';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"098") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请外移';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"099") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '协外移';

update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"100") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '请外引';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"101") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '协外引';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"102") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司惩';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"103") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '司惩复';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"104") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '财保';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"105") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行保';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"106") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '行保复';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"107") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '证保';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"108") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"109") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执恢';

update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"110") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执保';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"111") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执异';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"112") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执复';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"113") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执监';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"114") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执协';
update sys_dict SET value = json_set(ifnull(value,'{}'),'$.new_code',"115") where category = 'case_type' and JSON_CONTAINS_PATH(value, 'one', '$.alias') = 1 and value -> '$.alias' = '执他';

```





## 角色权限（待完善）



```mysql
1
select * from sys_role 
where id in (1740942440011517954,1740942680156393474)
or pid in (1740942440011517954,1740942680156393474)

select * from sys_dict where category = 'system_name'



2
select * from sys_role_resource where role_id in (
1740942804995657730,
1740942929805561858,
1740943654681956354,
1740943786680897537,
1740943886534692866,
1740944002159071234
)


3
select * from sys_privilege;
select * from sys_dict where category = 'privilege_type'



4
select * from sys_role_privilege where role_id in (
1740942804995657730,
1740942929805561858,
1740943654681956354,
1740943786680897537,
1740943886534692866,
1740944002159071234
)


5
select * from sys_privilege_resource where privilege_id in (
1740938345649393666,
1740938345649393666,
1740938345649393666,
1740938237654454274,
1740938237654454274,
1740938237654454274
)


6
select * from sys_dict where category = 'data_privilege_type'
```