# paddle 升级

> 适用于从paddle version < 1.2 ，升级到 version >= 1.2.0 版本

## paddle 1.2.2

#### 更新内容

- 提高 送达回证，传票提取的成功率；
- 标题识别增加 v2 版本，提高了准确率，但是速度下降了一半，线上根据实际情况是否使用；

- 更新卡证模型，提高准确率，接口在 /v2 前缀上；提高qps，当workers = 2，开启两个进程的时，每秒能处理5张图片
- 配置文件 由 `.ini`切换为 `.yaml`格式

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_022b8cc20a502ccadefed5298f168c68_r.png)


#### 下载资源

登录保定112 测试服务器，获取资源： `/home/paddle`

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_eaa55b9f3840167d9a45f904e8afb7c7_r.png)

1、下载，并替换掉 models、src目录；

2、替换 config 目录，多个config目录则都替换（上图则为 config、config-nlp下的都替换），由原先的 ini 配置改为 yaml 配置

- config.ini -> application.yaml
- title.ini -> title.yaml


#### docker-compose.yml 配置

1、新增环境变量，` - DEVICE_IDS=1`，这里的1指使用第1张显卡；因为以后会频繁替换 config 的配置文件，所以建议指定显卡设备用环境变量代替，如果存在环境变量，则优先以环境变量为主

2、同时开启卡证，文书要素提取的服务，大约占用3.5G内存，如果是12G以上显存的显卡，建议workers 设置为2

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_e1b625767034c9418e0d45380c7e7372_r.png)


#### application.yaml 配置

使用第一版的文书要素提取；使用 v2 版本标题识别、v2版本的卡证要素提取


![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_dcc5fc1fa0df60df77ea62259f4117e0_r.png)


#### 重新构建镜像，启动服务

查看镜像
![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_ff9bb9c6ede4d334f2f50300963fc23f_r.png)

删除镜像：
```shell
[root@localhost paddle]# docker rmi paddle_api:latest
[root@localhost paddle]# docker rmi paddle_api2:latest
```
重新构建镜像，并启动服务：
```shell
[root@localhost paddle]# docker-compose up -d
```


#### 查看版本并测试

前端页面打开对应的paddle地址，查看版本为 1.2.2

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_022b8cc20a502ccadefed5298f168c68_r.png)

#### 修改卷宗配置

1、标题识别使用 v2版本，在原地址后面增加v2。

注：标题识别v2版本效率下降一般，需根据线上实际情况是否使用v2版本。

更改basic服务的配置：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_caea626f3816663e160e9552efc9e88a_r.png)


2、卡证提取使用 v2 版本，在原地址后面增加 /v2

common_property配置修改：

![](https://doc.dev.whrunpu.com/uploads/hebei-wiki/images/m_32962036baf43d20344134b83fee9ff6_r.png)

3、重启basic服务

## paddle 1.2.3

从保定 112 拿包 ：`/home/pkg_升级包/paddle-1.2.3`,更新：
- src.tar.gz
- title.yaml 文件

解压替换原有的文件，删除容器并重新构建镜像，启动容器；

# paddle 1.2.4

更新内容：
- title.yaml 新增标题相似度判断，减少无标题被识别出标题

从保定 112 拿包 ：`/home/pkg_升级包/paddle-1.2.4`,更新：
- src.tar.gz
- title.yaml 文件

解压替换原有的文件，删除容器并重新构建镜像，启动容器；