## 分类数据统计

```mysql
SELECT
    sci.deal_user_id,
    CASE
        deal_user_id
        WHEN null then ''
        else ui.real_name
    end as user_full_name,
		count(DISTINCT IFNULL(case_id, 0)) AS "处理案件总数",
    count(IFNULL(sub_case_id, 0)) AS "处理批次总数",
    sum(IFNULL(page_total_num, 0)) AS "处理文件总数"
    
FROM
    sub_case_info sci
    join sys_user ui on sci.deal_user_id = ui.id
WHERE
    deal_end_time >= UNIX_TIMESTAMP('2024-08-21 00:00:00')*1000
    and deal_end_time <= UNIX_TIMESTAMP('2024-08-21 23:59:59')*1000
    and deal_user_id is not null
GROUP BY
    deal_user_id,
    user_full_name
```